Skip to main content
Resource Center/Resource Pool/Volume Operations

CreateVolumeSnapshot

CreateVolumeSnapshot

POST/zstack/v1/volumes/{volumeUuid}/volume-snapshots

Operation ID

CreateVolumeSnapshot

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • volumeUuid
    StringRequired

    The volume UUID.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The snapshot name.

    • description
      String

      Optional. The detailed description of the snapshot.

    • resourceUuid
      String

      Optional. The resource UUID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VolumeSnapshotInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • type
      StringRequired

      The resource type.

    • volumeUuid
      StringRequired

      The volume UUID.

    • treeUuid
      StringRequired

      The tree UUID.

    • parentUuid
      StringRequired

      The parent UUID.

    • primaryStorageUuid
      StringRequired

      The primary storage UUID.

    • primaryStorageInstallPath
      StringRequired

      The primary storage install path.

    • volumeType
      StringRequired

      The volume type.

    • format
      StringRequired

      The format.

    • latest
      BooleanRequired

      The latest.

    • size
      LongRequired

      The size.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • backupStorageRefs
      ListRequired

      See backupStorageRefs.

      • volumeSnapshotUuid
        StringRequired

        The volume snapshot UUID.

      • backupStorageUuid
        StringRequired

        The backup storage UUID.

      • installPath
        StringRequired

        The installation path.